# vim: set ts=4 sw=4 et:

Name:           clive-utils
Version:        2.1.6
%define clive_version 2.1.3
Release:        1699.2.pm.3
Summary:        Additional Utilities for clive
Source:         http://clive-utils.googlecode.com/files/clive-utils-%{version}.tar.bz2
URL:            http://code.google.com/p/clive-utils/
Group:          Productivity/Networking/Other
License: GPL-2.0
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  perl make
Requires:       clive >= %{clive_version}
BuildArch:      noarch
Requires:       clivefeed = %{version}-%{release}
Requires:       clivescan = %{version}-%{release}
Requires:       clivepass = %{version}-%{release}
# not needed to build, but to make the build fail if the deps are not in the repo:
BuildRequires:  perl-Tk
BuildRequires:  perl-Tk-FontDialog
BuildRequires:  perl-HTML-Strip
BuildRequires:  perl-XML-RSS-LibXML

%description
clive-utils is an open source project that contains additional utilities that
can be used together with the clive utility.

%package -n clivefeed
Summary:        RSS Feed Video Extractor
Group:          Productivity/Networking/Other
Requires:       clive >= %{clive_version}
Requires:       perl-Tk
Requires:       perl-Tk-FontDialog
Requires:       perl-HTML-Strip
Requires:       perl-XML-RSS-LibXML

%description -n clivefeed
clivefeed is an utility that parses RSS feeds containing video page links and
uses clive to extract them.

%package -n clivescan
Summary:        HTML Page Scanner and Video Extractor
Group:          Productivity/Networking/Other
Requires:       clive >= %{clive_version}
Requires:       perl-Tk
Requires:       perl-Tk-FontDialog
Requires:       perl-HTML-Parser

%description -n clivescan
clivescan is an utility that scans video pages for video links and uses clive
to extract them. The utility scans for video page and embedded video links.

%package -n clivepass
Summary:        Clive Password Manager
Group:          Productivity/Networking/Other
Requires:       clive >= %{clive_version}
Requires:       perl-Crypt-PasswdMD5
Requires:       perl-Crypt-Twofish

%description -n clivepass
clivepass is an utility that can be used to create and change passwords for
websites used by clive. The passwords are encrypted and saved along with the
username information. Access is restricted by using a global passphrase.

%prep
%setup -q

%build
%__make WITH_MAN=yes \
    	  prefix="%{_prefix}" \
    	  mandir="%{_mandir}"

%install
%__make WITH_MAN=yes \
    	  prefix="%{_prefix}" \
    	  mandir="%{_mandir}" \
    	  DESTDIR="%{buildroot}" \
    	  install

>docfiles.lst
for f in AUTHORS CHANGES TODO; do
     echo "%doc ${f}" >>docfiles.lst
done

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f docfiles.lst
%defattr(-,root,root)

%files -n clivefeed -f docfiles.lst
%defattr(-,root,root)
%doc examples
%{_bindir}/clivefeed
%doc %{_mandir}/man1/clivefeed.1%{ext_man}

%files -n clivescan -f docfiles.lst
%defattr(-,root,root)
%doc examples
%{_bindir}/clivescan
%doc %{_mandir}/man1/clivescan.1%{ext_man}

%files -n clivepass -f docfiles.lst
%defattr(-,root,root)
%doc examples
%{_bindir}/clivepass
%doc %{_mandir}/man1/clivepass.1%{ext_man}

%changelog
* Sun May 17 2009 pascal.bleser@opensuse.org
- update to 2.1.6:
  * adds a few new options
  * makes minor tweaks to the programs
* Sun Apr  5 2009 pascal.bleser@opensuse.org
- update to 2.1.5:
  * addresses a few minor bugs and requests
* Sat Feb 21 2009 guru@unixtech.be
- update to 2.1.3:
  * changes to the existing options
  * help output has been tuned down and cleaned up
* Tue Feb 10 2009 guru@unixtech.be
- update to 2.1.2:
  * minor performance tweaks
* Fri Jan  9 2009 guru@unixtech.be
- update to 2.1.1:
  * adds the LICENSE file
  * changes to the utilities to share the configuration file
  * the Crypt::Salt module prerequisite was removed
  * Crypt::Twofish2 was replaced with Crypt::Twofish (clivepass)
* Fri Dec 26 2008 guru@unixtech.be
- initial package
